import React from 'react';
import { Drawer } from 'antd';
import WebConfigForm from './webConfigForm';

export default props => {
  const { visible, onClose, config, hasIntegerate } = props;

  return (
    <Drawer
      title={config ? '编辑网站' : '添加网站'}
      width={520}
      closable
      onClose={onClose}
      visible={visible}
      maskClosable={false}
    >
      <WebConfigForm
        hasIntegerate={hasIntegerate}
        config={config}
        onCancel={onClose}
        onOk={values => {
          console.log(values);
        }}
      />
    </Drawer>
  );
};
