import qs from 'qs';
import { CITY_SERVICE, get, PUBLISH_SERVICE } from '../index';

export const getWebModuleTree = userMode =>
  get(
    `${PUBLISH_SERVICE}/PlatformCenter/WebModuleTree?${qs.stringify({
      userMode,
    })}`,
  );

export const getWebConfigByName = webName =>
  get(`${CITY_SERVICE}/OMS.svc/W4_GetWebsite`, { title: webName });

export const getWebThemes = () =>
  get(`${CITY_SERVICE}/OMS.svc/W4_GetThemes`, { query: '' });

export const getLoginPage = () =>
  get(`${CITY_SERVICE}/OMS.svc/W4_GetLoginPage`, { query: '' });

export const getMapCofigs = () =>
  get(
    `${CITY_SERVICE}/OMS.svc/GetAllConfigText?terminalType=scheme&isBaseMap=false`,
    { query: '' },
  );
